/*
 *      getline1.c
 *      Zeichenweise bis NL lesen und Zeile ausgeben
 *      klin, Thu Nov 18 12:46:12 1999
 */

#include <stdio.h>

#define MAX 128 /* Max. Anzahl von Zeichen */

void main(void)
{
  char s[MAX];  /* Feld fuer Zeichen, String */
  int c;        /* Zeichen */
  int n;        /* Zaehler */
  int i;        /* Laufvariable */

  /* Zaehler initialisieren */
  n = 0;

  /* Schleife bis NL, MAX oder EOF  */
  do {
    /* 1 Zeichen lesen ... */
    c = getchar();
    /* ... und in Feld kopieren ... */
    s[n] = c;
    /* ... und hochzaehlen */
    n++;
  } while (c != '\n' && n < MAX);  
  
  /* Zaehler ausgeben */
  printf("%d Zeichen gelesen.\n", n);
  
  /* Feld ausgeben */
  for (i = 0; i < n; i++) {
    putchar(s[i]);
  }
  putchar('\n');

} /* main() */
