/*
 *      getline2.c
 *      Zeichenweise bis NL lesen und Zeile ausgeben
 *      klin, Thu Nov 18 12:46:12 1999
 */

#include <stdio.h>

#define MAX 256 /* Max. Anzahl von Zeichen */

void main(void)
{
  char s[MAX];  /* Feld fuer Zeichen, String */
  int c;        /* Zeichen */
  int n;        /* Zaehler */
  int max;      /* Maximum */
  int i;        /* Laufvariable */

  /* Maximum und Zaehler initialisieren */
  max = MAX - 1;
  n = 0;

  /* Schleife bis NL, MAX oder EOF */
  while ( n < max && (c = getchar()) != EOF && c != '\n') {
    /* Zeichen in Feld kopieren, inkrementieren */
    s[n++] = c;
  } 
  /* String terminieren */
  s[n] = '\0';
  
  /* Zaehler und String ausgeben */
  printf("%d Zeichen gelesen: %s\n", n, s);
  
} /* main() */
