/*
 *      pbits.c
 *      32-Bit-Integer bitweise ausgeben
 *      klin, Sun Nov 21 18:01:08 1999
 */

#include <stdio.h>

void put_bits(unsigned long);

void main(void)
{
  unsigned long n;

  /* Integerzahl lesen und ausgeben */
  while (1) {
    printf("Integerzahl eingeben: ");
    scanf("%lu", &n);
    put_bits(n);
  }

} /* main() */

/* Integer bitweise ausgeben */
void put_bits(unsigned long n)
{
  unsigned long m;      /* Maske   */
  int i;                /* Zaehler */

  /* Maske und Zaehler initialisieren */
  m = 1 << 31;
  i = 0;
  /* Schleife ueber alle Bitpositionen */
  while (m > 0) {
    /* Leerzeichen nach 4 Bits */
    if (i > 0 && (i % 4) == 0)
      putchar(' ');
    /* 1, wenn Bit gesetzt, sonst 0 */
    putchar(n & m ? '1' : '0');
    /* Maske verschieben, Zaehler hochzaehlen */
    m >>= 1;
    i++;
  }
  putchar('\n');

} /* put_bits() */
