/*
 *      copy1.c
 *      Datei zeilenweise kopieren
 *      klin, Thu Jan  6 09:44:54 2000
 */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

FILE *getfile(char *, char *);

void main(void)
{
  char line[1024];              /* Zeilenpuffer */
  FILE *ifp, *ofp;              /* Filepointer */
  int c;

  /* Eingabedatei oeffnen */
  if ((ifp = getfile("Eingabedatei", "r")) == NULL) {
    exit(1);
  }

  /* Ausgabedatei oeffnen */
  if ((ofp = getfile("Ausgabedatei", "w")) == NULL) {
    fclose(ifp);
    exit(1);
  }
  
  /* Zeilenweise lesen und schreiben */
  while (fgets(line, sizeof(line), ifp))
    fputs(line, ofp);
    
  /* Files schliessen und Ende */
  fclose(ifp);
  fclose(ofp);
	      
  exit(0);
    
} /* main() */

/* Dateinamen lesen und Datei mit Modus mode oeffnen */
FILE *getfile(char *msg, char *mode)
{
  char fname[256];      /* Dateiname */
  FILE *fp;             /* Dateipointer */
  int n;
  
  /* Namen der Datei einlesen */
  do {
    printf("%s: ", msg);
  } while (fgets(fname, sizeof(fname), stdin) == NULL || fname[0] == '\n');
  
  /* Evtl. Newline entfernen und durch EOS ersetzen */
  n = strlen(fname);
  if (fname[n - 1] == '\n')
    fname[n - 1] = '\0';
    
  /* Datei mit Modus mode oeffnen */
  if ((fp = fopen(fname, mode)) == NULL)
    perror(fname);
    
  return(fp);

} /* getfile() */
