/*
 *      area3.c
 *      Flaechenberechnung, Eingabefunktion
 *      klin, Thu Nov  4 13:42:34 1999
 */

#include <stdio.h>

float get_len(char *);

/* Hauptfunktion/-prozedur              */
void main(void)
{
  /* Daten ---------------------------- */
  float a, b;   /* Seiten 1 und 2       */
  float A;      /* Flaeche              */

  /* Algorithmus ---------------------- */  
  /* Seite 1 einlesen                   */
  a = get_len("Bitte 1. Seite eingeben");
  
  /* Seite 2 einlesen                   */
  b = get_len("Bitte 2. Seite eingeben");

  /* Flaeche berechnen                  */  
  A = a * b;

  /* Flaeche ausgeben                   */  
  printf("Seiten: %f %f -> Flaeche: %f\n", a, b, A);

} /* main() */

/* Laenge (float) einlesen und liefern  */
float get_len(char *msg)
{ 
  char s[256];
  float l;
  int i, ok;

  /* Seite > 0.0 einlesen               */  
  do {
    l = 0.0;
    printf("%s: ", msg);
    gets(s);
    if(check_float(s)) {
      sscanf(s, "%f", &l);
      if(l <= 0.0) {
	printf("!!! Zahl zu klein! Bitte Zahl > 0.0 eingeben!\n\n");
      }
    }
    else {
      printf("!!! Falsche Eingabe! Bitte wiederholen!\n\n");
    }
  } while (l <= 0.0);
  
  /* Laenge liefern                     */
  return(l);  

} /* get_len() */

/* String zeichenweise pruefen          */
int check_float(char *s)
{
  int i;
  
  for(i = 0; s[i] != '\0'; i++) {
    if( !(s[i] == '.' || (s[i] >= '0' && s[i] <= '9'))) {
      return(0);
    }
  }
  return(1);
  
} /* check_float() */
