/*
 *      vectcalc.c
 *      Primitiver Vektorrechner
 *      klin, Wed Dec  8 19:00:53 1999
 */

#include <stdio.h>

#define MAX 20

void main(void)
{
  char buf[256];        /* Eingabepuffer */
  double da[MAX];       /* Elemente      */
  double res;           /* Resultat      */
  char op;              /* Operation     */
  int n, i;             /* Zaehler       */

  /* Operation ermitteln */
  do {
    printf("Operation (+-*/): ");
    gets(buf);
    op = buf[0];
  } while ( !(op == '+' || op == '-' || op == '*' || op == '/'));
  
  /* Vektorelemente einlesen */
  for (n = 0; n < MAX; n++) {
    printf("Element #%02d: ", n + 1);
    gets(buf);
    sscanf(buf, "%lf", &da[n]);
    if (da[n] == 0.0) {
      break;
    }
  }
  
  /* Vektorelemente berechnen */
  res = da[0];
  switch (op) {
    case '+':
      for (i = 1; i < n; i++)
	res = res + da[i];
      break;
    case '-':
      for (i = 1; i < n; i++)
	res = res - da[i];
      break;
    case '*':
      for (i = 1; i < n; i++)
	res = res * da[i];
      break;
    case '/':
      for (i = 1; i < n; i++)
	res = res / da[i];
      break;
  }

  /* Ergebnis ausgeben */
  printf("Resultat (%d Elemente): %lf\n", n, res);
  
} /* main() */
