/*
 *      copy2.c
 *      Datei kopieren
 *      klin, Thu Jan  6 09:45:53 2000
 */

#include <stdio.h>
#include <stdlib.h>

void main(int argc, char *argv[])
{
  int c;

  /* Kommandozeilenparameter untersuchen */
  switch (argc) {
    case 3:     /* 2. Parameter: Ausgabedatei */
      if (freopen(argv[2], "w", stdout) == NULL) {
	perror(argv[2]);
	exit(1);
      }
      /* Kein break, um auch 1. Parameter zu handeln */
    case 2:     /* 1. Parameter: Eingabedatei */
      if (freopen(argv[1], "r", stdin) == NULL) {
	perror(argv[1]);
	exit(1);
      }
      break;
    case 1:     /* Keine Parameter stdin -> stdout */
      break;
    default:    /* Falscher Aufruf */
      fprintf(stderr, "Usage: %s [infile] [outfile]\n", argv[0]);
      exit(1);
  }

  /* Zeichenweise lesen und schreiben */
  while ((c = getc(stdin)) != EOF)
    putc(c, stdout);
    
  exit(0);
    
} /* main() */
